

//
// very basic programm to demonstrate the usage of sftpd.dll
//


#include <iostream>
using namespace std;

// include sftpd
#include "../../sftpd/include/export.h"
#pragma comment(lib, "../../sftpd/bin/Release/sftpd.lib")


int main(int argc, const char* argv[])
{
    cout << endl;
    cout << "This is a primitive UI, demonstrating the usage of sftpd.dll." << endl;
    cout << endl;

    int myObj = newServerObj();         // get a sever object

    int pos = 1;
    bool userAdded = false;
    while (pos < argc)
    {
        const char *login = argv[pos];
        const char *pass = argv[pos +1];
        const char *path = argv[pos +2];

        bool rw = false;
        if (strcmp("1", argv[pos +3]) == 0)
            rw = true;

        addUser(myObj, (char *) login, (char *) pass, (char *)  path, rw);  // add one ore more users
        userAdded = true;

        cout << "-- Added user -- \n";
        cout << " login:    " << login << endl;
        cout << " pass:     " << pass << endl;
        cout << " share:    " << path << endl;
        cout << " writable: " << rw << endl;

        pos += 4;
    }

    if (!userAdded)
    {
        cout << endl << "NOTE: NO USER HAS BEEN ADDED TO CONFIGURATION!\n";
        cout << "See .bat for further information.\n\n";
    }
        
    setPorts(myObj, 21, 20);    // using default ports here
    start(myObj);               // start the server
    
    cout << "Press Return to close server.\n";
    system("pause >NULL");

    stop(myObj);            // stop it
    removeServerObj(myObj); // and release the object

    return 0;
}


