/*

    sftpd - meant to be a small and flexible ftp server implementation
    Copyright (C) 2009  Jan Murawski  der@oelgoetze.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

    For more information about the GNU Public license see:
    http://www.gnu.org/copyleft/gpl.html

*/

#ifndef _FILE_UTIL_
#define _FILE_UTIL_


#include <windows.h>

#include "Shlwapi.h"
#pragma comment(lib, "shlwapi.lib")

#include <string>
using namespace std;
#include "convertUtil.h"


bool fileExists(string file);           // Test if a file exists
bool IsExecutable(char *path);          // Check, if given file is executable (.exe, .bat, etc.)
bool IsExecutable(string path);
long long getFileSize(string fileName); // calculate a files size in 64 bit
string getFileSizeAsString(string fileName);


#endif _FILE_UTIL_

